# 32/64bit spec-file
#
#PCLinuxOS Copyright by Bill Reynolds (Texstar)
#generate a new specfile
%define	with_svlc	1
%define name 		vlc
%define version 	2.2.4

Summary:	MPEG, MPEG2, DVD and DivX player
Summary(de):	DVDs, Video-CDs, MPEGs und DivX Spieler
Name:		%{name}
Version:	%{version}
Release:	%mkrel 2
Source0:	http://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.xz
Patch0:     vlc-1.1.6-lirc-fix-includes.patch
Patch1:     vlc-2.0.4-fix-definition.patch
License:	GPLv2+
Group:		Video
URL:		http://www.videolan.org/
BuildRoot:	%_tmppath/%{name}-%{version}-%{release}-root

BuildRequires: autoconf2.5
BuildRequires: automake
BuildRequires: desktop-file-utils
BuildRequires: freetype-devel
BuildRequires: gettext-devel
BuildRequires: %{_lib}a52dec0-devel
BuildRequires: %{_lib}alsa2-devel
BuildRequires: %{_lib}avahi-client-devel
BuildRequires: %{_lib}avc1394-devel
BuildRequires: %{_lib}bluray-devel
BuildRequires: %{_lib}caca-devel
BuildRequires: %{_lib}cddb-devel
BuildRequires: %{_lib}cdio-devel
BuildRequires: %{_lib}dca-devel
BuildRequires: %{_lib}dirac-devel
BuildRequires: %{_lib}dvbpsi-devel
BuildRequires: %{_lib}dvdnav-devel
BuildRequires: %{_lib}dvdread-devel
BuildRequires: %{_lib}faac-devel
BuildRequires: %{_lib}faad2-devel
BuildRequires: %{_lib}ffmpeg-devel
BuildRequires: %{_lib}flac8-devel
BuildRequires: %{_lib}fribidi-devel
BuildRequires: %{_lib}gnome-vfs2-devel
BuildRequires: %{_lib}gnutls-devel
BuildRequires: %{_lib}hal-devel
BuildRequires: %{_lib}id3tag-devel
BuildRequires: %{_lib}jack-devel
BuildRequires: %{_lib}jack0
BuildRequires: %{_lib}lame0-devel
BuildRequires: %{_lib}lirc-devel
BuildRequires: %{_lib}lua5.2-devel
BuildRequires: %{_lib}mad-devel
BuildRequires: %{_lib}matroska-devel
BuildRequires: %{_lib}modplug-devel
BuildRequires: %{_lib}mpcdec-devel
BuildRequires: %{_lib}mpeg2dec-devel
BuildRequires: %{_lib}mtp-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}portaudio2-devel
BuildRequires: %{_lib}pulseaudio-devel
BuildRequires: %{_lib}proxy-devel
BuildRequires: %{_lib}raw1394-devel
BuildRequires: %{_lib}rsvg2-devel
BuildRequires: %{_lib}schroedinger-devel
BuildRequires: %{_lib}SDL_image-devel
BuildRequires: %{_lib}shout-devel
BuildRequires: %{_lib}smbclient0-devel
BuildRequires: %{_lib}sysfs-devel
BuildRequires: %{_lib}taglib-devel
BuildRequires: %{_lib}twolame-devel
BuildRequires: %{_lib}udev0-devel
BuildRequires: %{_lib}upnp-devel
BuildRequires: %{_lib}usb1.0-devel
BuildRequires: %{_lib}v4l-devel
BuildRequires: %{_lib}vcd0-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: libxcb-devel
BuildRequires: %{_lib}xcb-util-devel
BuildRequires: %{_lib}xcb-util-keysyms-devel
BuildRequires: libpthread-stubs
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xosd2-devel
BuildRequires: %{_lib}xpm-devel
BuildRequires: %{_lib}xv-devel
BuildRequires: %{_lib}zip-devel
BuildRequires: %{_lib}zvbi-devel
BuildRequires: %{_lib}chromaprint-devel
BuildRequires: %{_lib}freerdp-devel
BuildRequires: %{_lib}vncserver-devel
BuildRequires: %{_lib}vdpau-devel
BuildRequires: libass-devel
BuildRequires: libtar-devel
BuildRequires: libtool
BuildRequires: live-devel
BuildRequires: lua5.2
BuildRequires: mesaglu-devel
BuildRequires: speex-devel
BuildRequires: x264-devel
BuildRequires: %{_lib}x265-devel
BuildRequires: %{_lib}samplerate-devel

#pull in qt5 at this time
#-----------------------------------------------------------
BuildRequires: %{_lib}qt5core-devel
BuildRequires: %{_lib}qt5gui-devel
BuildRequires: %{_lib}qt5widgets-devel
BuildRequires: %{_lib}qt5x11extras-devel
BuildRequires: qtbase5-common-devel
#-----------------------------------------------------------
BuildConflicts: %{_lib}projectm-devel

Requires:	fonts-ttf-vera
Requires:	%{_lib}qtcore4
Requires:	%{_lib}qtgui4
Requires:	%{_lib}qtnetwork4
Requires:	%{_lib}qtsvg4
Requires:	%{_lib}qtxml4
Requires:	lua5.2
Requires:	%{_lib}ebml4
Requires:	%{_lib}matroska6
Requires(post):	  desktop-file-utils
Requires(postun): desktop-file-utils

Provides: 	gnome-vlc
Provides: 	gvlc
Provides: 	kvlc
Provides:	vlc-plugin-dvb
Provides:	vlc-plugin-mad
Provides:	vlc-plugin-alsa
Provides: 	wxvlc

Conflicts:	vlc-legacy

%description
VideoLAN is an OpenSource streaming solution for every OS developed by
students from the Ecole Centrale Paris and developers from all over the
World.
VLC (VideoLAN Client) is a media player that can play MPEG1, MPEG2 and
MPEG4 (aka DivX) files, DVDs, VCDs, SVCDs, from a satellite card, from
a stream sent by VLS (VideoLAN Server), from another VLC, or from a Web
server.
This package contains no CSS unscrambling functionality for DVDs ;
you need the libdvdcss library available from 
http://www.videolan.org/libdvdcss/

#german
%description -l de
Der „VLC Media Spieler“ (bisher unter dem Namen VideoLAN Client bekannt) 
spielt nahezu alle Videodateien ab, darunter DVDs, Video-CDs, MPEGs und DivX.

Die Besonderheit: Der Spieler unterstützt MPEG- und DivX-Streaming und kann 
damit auch Videos schon während des herunter ladens abspielen. Schauen Sie 
sich den Anfang des Films an, und prüfen Sie, ob sich das herunter laden lohnt

Dieses Paket unterstützt nicht das entschlüsseln von kopiergeschütze DVD's.
Sie benötigen die libdvdcss Bibliothek um kommerzielle DVD's schauen zu 
können. 

%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README COPYING AUTHORS THANKS
%doc installed-docs/* doc/lirc/

%{_bindir}/cvlc
%{_bindir}/qvlc
%{_bindir}/nvlc
%{_bindir}/rvlc
%{_bindir}/vlc
%{_bindir}/vlc-wrapper
%{_libdir}/libvlc.so.*
%{_libdir}/libvlccore.so.*
%{_datadir}/applications/vlc.desktop
%{_datadir}/apps/solid/actions/*.desktop
%{_datadir}/vlc/lua
%{_datadir}/vlc/utils
%{_datadir}/vlc/vlc.ico
%{_mandir}/man1/vlc.*
%{_mandir}/man1/vlc-wrapper.1*
%{_iconsdir}/hicolor/*/apps/*
%{_iconsdir}/vlc.png
%{_miconsdir}/vlc.png
%{_liconsdir}/vlc.png
%{_libdir}/vlc/*

#----------------------------------------------------------------
%package devel
Summary: Development files for the VLC media player
Summary(de): Entwicklerdateien für den VLC Medien Abspieler
Group: Development/Libraries
Requires: %{name} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Provides: lib%{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %{name} 0


%description devel
Development files for the VLC media player
This package contains headers and a static library required to build plugins
for the VLC media player, or standalone applications using features from VLC.

#german
%description devel -l de
Dieses Paket enthält Header und eine statische Bibliothek zum erstellen neuer 
Erweiterungen für den VLC Media Spieler oder selbstständige Anwendungen mit 
den Funktionen von VLC.

%files devel
%defattr(-,root,root)
%doc README doc/release-howto.txt doc/skins
%dir %_includedir/vlc
%{_libdir}/libvlc.so
%{_libdir}/libvlccore.so
%_includedir/vlc/*
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/pkgconfig/*

#--------------------------------------------------------------------------
%package -n svlc
Summary: Skinned GUI plugin for the VLC media player
Group: Video
Requires: %{name} = %{version}
Provides: vlc-gui
Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils
Conflicts:	svlc-legacy

%description -n svlc
This plugin adds a skinned GUI interface to the VLC media player. To
activate it, run the `svlc' program.

# intf plugins
%if %with_svlc
%files -n svlc
%defattr(-,root,root)
%doc README
%{_bindir}/svlc
%{_libdir}/vlc/plugins/gui/libskins2_plugin.so*
%{_datadir}/vlc/skins2/default.vlt
%{_datadir}/vlc/skins2/fonts/FreeSans.ttf
%{_datadir}/vlc/skins2/fonts/FreeSansBold.ttf
%{_datadir}/vlc/skins2/skin.catalog
%{_datadir}/vlc/skins2/skin.dtd
%{_datadir}/vlc/skins2/winamp2.xml
%{_datadir}/applications/svlc.desktop

%endif

#--------------------------------------------------------------------------

%prep
%setup -q -n %{name}-%{version}

# Convert to utf8
for i in doc/fortunes.txt ChangeLog; do
        iconv -f iso-8859-1 -t utf-8 < "$i" > "${i}_"
        touch -r "$i" "${i}_"
        mv "${i}_" "$i"
done

%patch0 -p1
%patch1 -p0
autoreconf -fi

%build


%configure2_5x \
--disable-dependency-tracking \
--disable-sse \
--enable-aa \
--enable-faad \
--enable-lirc \
--enable-live555 \
--enable-ncurses \
--disable-quicktime \
--enable-realrtsp \
--disable-sid \
--enable-vcdx \
--enable-run-as-root \
--enable-smbclient \
--enable-x264 \
--enable-xcb \
--enable-xvideo \
--enable-x265 \
%ifarch x86_64
        --with-pic 
%endif
  
%make

%install
rm -rf %buildroot
mkdir -p %buildroot%_libdir
%makeinstall_std transform=""
find %buildroot%{_libdir}/vlc -name \*.la -exec rm -f {} \;
rm -f %buildroot%{_libdir}/mozilla/plugins/libvlcplugin.la


%find_lang %{name}
install -d %buildroot/%{_mandir}/man1
install doc/vlc.1 %buildroot/%{_mandir}/man1
rm -rf installed-docs
mv %buildroot%{_datadir}/doc/vlc installed-docs

# menu
desktop-file-install --vendor="" \
--add-mime-type="x-content/video-dvd" \
--add-mime-type="x-content/video-vcd" \
--add-mime-type="x-content/video-svcd" \
--add-mime-type="x-content/audio-cdda" \
--add-category="Qt" \
--add-category="X-MandrivaLinux-Multimedia-Video" \
--dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*



%if %with_svlc
cat > $RPM_BUILD_ROOT%{_datadir}/applications/svlc.desktop << EOF
[Desktop Entry]
Name=VLC skinned GUI media player
Comment=VLC is a free MPEG, MPEG2, DVD and DivX player
Exec=%{_bindir}/svlc %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Audio;Video;Player;X-MandrivaLinux-Multimedia-Video;
EOF
fgrep MimeType= %buildroot%{_datadir}/applications/vlc.desktop >> %buildroot%{_datadir}/applications/svlc.desktop
%endif


# icons
%define pngdir share/icons
mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir}}
install -m 644 %pngdir/16x16/vlc.png %buildroot/%{_miconsdir}/vlc.png
install -m 644 %pngdir/32x32/vlc.png %buildroot/%{_iconsdir}/vlc.png
install -m 644 %pngdir/48x48/vlc.png %buildroot/%{_liconsdir}/vlc.png


%post
%update_desktop_database

%postun
%clean_desktop_database

%clean
rm -rf %buildroot
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%changelog
* Tue Nov 22 2016 adrianomorselli <adrianomorselli> 2.2.4-2uplos2016
- rebuild

* Wed Jun 29 2016 bb <bb> 2.2.4-2pclos2016
- rebuild with x265

* Sun Jun 05 2016 bb <bb> 2.2.4-1pclos2016
- update

* Mon May 02 2016 bb <bb> 2.2.3-1pclos2016
- update

* Sun Apr 16 2016 bb <bb> 2.2.2-4pclos2016
- build with qt5

* Sat Apr 16 2016 bb <bb> 2.2.2-3pclos2016
- rebuild for new x264

* Wed Apr 13 2016 bb <bb> 2.2.2-2pclos2016
- rebuild against updated libvpx


